Bug 120703 - Bugs found by PVS-Studio static analyzer
Summary: Bugs found by PVS-Studio static analyzer
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-19 11:35 UTC by Svyatoslav
Modified: 2018-11-12 17:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
PVS-Studio Html Report (16.08 MB, application/octet-stream)
2018-10-19 14:34 UTC, Svyatoslav
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Svyatoslav 2018-10-19 11:35:19 UTC
Description:
We have found bugs using PVS-Studio static analyzer. Report: https://www.viva64.com/en/b/0586/

Steps to Reproduce:
1. Install PVS-Studio;
2. Check projects;
3. Generate report.

Actual Results:
N/A.

Expected Results:
N/A.


Reproducible: Always


User Profile Reset: No



Additional Info:
Article in our blog: LibreOffice: Accountant's Nightmare (https://www.viva64.com/en/b/0586/)
Comment 1 Mike Kaganski 2018-10-19 12:11:54 UTC
Hi! Thanks for the information.

Please attach the analyzer's output to the bug report.
Comment 2 Svyatoslav 2018-10-19 14:34:52 UTC
Created attachment 145832 [details]
PVS-Studio Html Report

Hello to all.

Please unpack the PVS-Studio Report and open index.html in the browser.
Comment 3 Caolán McNamara 2018-10-19 14:56:40 UTC
need to be careful when reviewing these, e.g.

Expression 'nNewTabIndex < 0' is always false

sal_Int16 nNewTabIndex = 0;
evt.NewValue >>= nNewTabIndex;
if ( nNewTabIndex < 0 )
    nNewTabIndex = 0;

but >>= is an overloaded operator and extracts a value into nTabIndex, so nTabIndex is not 0 afterwards
Comment 4 Mike Kaganski 2018-10-19 16:05:24 UTC
Thank you for providing the details!

If required, the issue may be used as a meta fir sub-issues, or just closed upon addressing everything.
Comment 5 Caolán McNamara 2018-10-19 16:10:08 UTC
Another false positive pattern I see repeatedly is...

awt::Size aGraphicSize;
...
if (aGraphicSize.Width && aGraphicSize.Height)
↑ V516 Consider inspecting an odd expression. Non-null function pointer is compared to null: 'aGraphicSize.Height'.
↑ V516 Consider inspecting an odd expression. Non-null function pointer is compared to null: 'aGraphicSize.Width'.

which makes me think that ::Size with Height() and Width() member functions has been mistaken for this awt::Size with the member variables Height and Width.
Comment 6 Jan-Marek Glogowski 2018-10-19 16:21:33 UTC
High false positive rates in V614 "Uninitialized variable '<var>' used.
And V516 "Consider inspecting an odd expression. Non-null function pointer is compared to null: '<var>'.
And V519 The 'aAny' variable is assigned values twice successively. Perhaps this is a mistake.
And V547 Expression '<var>' is always false.

And I don't understand the classification: some V547 are high, some are medium.

...

If you sort by error type you can at least skip all categories with high false positive ">>=" operator potential.
Comment 7 Mike Kaganski 2018-10-19 16:59:36 UTC
> General Analysis	sbunoobj.cxx:2246	High	V595	The 'pParams' pointer was utilized before it was verified against nullptr. Check lines: 2246, 2258.

FP: a loop for( j = 0 ; j < nParamCount ; j++ ) implies nParamCount > 0, which is only possible when pParams isn't nullptr.
Comment 8 Commit Notification 2018-10-20 06:01:25 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a3143aa0dec78177e522858fbf786494c75512a0

tdf#120703 (PVS): properly handle BSTR; fix enum comparison

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2018-10-20 06:49:50 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=76a25639474c50c34a2b84ba1f357013de5ddae8

tdf#120703 (PVS): redundant check

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Mike Kaganski 2018-10-20 06:51:12 UTC
sal/rtl/math.cxx

FP (nExp < 0 doesn't necessary imply that -nExp > 0 - see the comment):
>     if (nExp < 0)
>     {
>         // && -nExp > 0 necessary for std::numeric_limits<int>::min()
>         // because -nExp = nExp
>         if (-nExp <= n10Count && -nExp > 0)
> →           ↑ V560 A part of conditional expression is always true: - nExp > 0.

FP (the pointer is never stored):
> template< typename T >
> void doubleToString(typename T::String ** pResult,
>                            sal_Int32 * pResultCapacity, ...)
> {
> ...
>         sal_Int32 nCapacity = RTL_CONSTASCII_LENGTH("NaN");
>         if (!pResultCapacity)
>         {
>             pResultCapacity = &nCapacity;
> →            ↑ V506 Pointer to local variable 'nCapacity' is stored outside the scope of this variable.
> →              Such a pointer will become invalid.
>             T::createBuffer(pResult, pResultCapacity);
>             nResultOffset = 0;
>         }
> 
>         T::appendAscii(pResult, pResultCapacity, &nResultOffset,
>                        RTL_CONSTASCII_STRINGPARAM("NaN"));
> 
>         return;
>     }
Comment 11 Commit Notification 2018-10-20 07:25:01 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=07a70e84f21ef2a69d8b7a69a1bd3844a0c362f5

tdf#120703 (PVS): compare BSTR to wchar_t[] directly

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2018-10-20 10:49:29 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77e4f5e2b31292ca635aa807f701ba39ac521531

tdf#120703 (PVS)

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2018-10-20 19:40:27 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f8f804f089a40fc2fc0b43690a4b9d529217d32

tdf#120703 (PVS)

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2018-10-20 22:31:45 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3846561f79cf9065abd9ca83c9fbfbe7e52e28e2

tdf#120703 (PVS)

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2018-10-21 05:08:34 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=86fd9622fb8066e1b3a41971cdf7ad76539d313c

tdf#120703 (PVS): handle failed realloc

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2018-10-21 05:08:40 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=70198d4f7ffc7b3139cf34764b0e6bb6971489c6

tdf#120703 (PVS): handle malloc/realloc failures

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2018-10-21 05:08:46 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=79e837d8e2fb961cd4825566f07aabf031fddb5f

tdf#120703 (PVS): handle failed (re)allocations

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2018-10-21 06:02:31 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=24e4b37987ccd410b6d6672151d84c790cdb7e56

tdf#120703 (PVS): handle failed realloc

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2018-10-21 06:39:05 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c078e432903bfdcabed6ae86d585aeae82716cd1

tdf#120703 (PVS): 920d4463f6e59b815852c173e2974ffc7b4bb284 follow-up

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2018-10-21 07:42:48 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e8cd8683d345b75297994b3f7aab851835eb124

tdf#120703 (PVS): handle failed calloc/realloc

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2018-10-21 09:31:24 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=52d68e39c749de45cbec4c9114c8d10d65d45936

tdf#120703 (PVS): handle failed realloc

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2018-10-21 09:31:31 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f8a890dceb38427774abdcb0803d1f56f621c9d

tdf#120703 (PVS): redundant nullptr checks, redundant assign

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2018-10-21 10:27:44 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3d0559e4b8b674cb9a63239b0f28fd23b1dd76bb

tdf#120703 (PVS): redundant nullptr check

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2018-10-21 10:31:16 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58abc74248509067e0160a7ff5d5709316f3e274

tdf#120703 (PVS): redundant nullptr checks

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2018-10-21 12:07:10 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=22dfffe39ff1a61e73af9778e34ca40827d10da3

tdf#120703 (PVS): redundant nullptr checks; use range-based for

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2018-10-21 13:25:21 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=33a8afeda6e1b6325f42790a0e1cc3c6cca8409f

tdf#120703 (PVS)

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2018-10-21 13:25:29 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c5ad24111addbf7d171b833da812fe5ba6e36b1

tdf#120703 (PVS): redundant nullptr check

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2018-10-21 13:26:50 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=630f506ff2e505b093ab54a5d4394adcd7dd0be2

tdf#120703 (PVS): redundant nullptr check

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2018-10-21 13:49:01 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63e85b852b9507f7a034b930a20678ee88c2fd0b

tdf#120703 (PVS): redundant nullptr check

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2018-10-21 16:20:24 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2a35b3df0858f77db15929fa087f1d712cc22e1

tdf#120703 (PVS): Recurring check.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2018-10-21 16:22:00 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=360f389e68a44a8dae896a9ccbdb20b9636a0041

tdf#120703 (PVS): Recurring check.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Commit Notification 2018-10-21 16:22:11 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9d06c893df399e16572381d086db42be12186eb

tdf#120703 (PVS): Recurring check.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 33 Commit Notification 2018-10-21 17:32:44 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=99e4145c5f842bc8416719258089f9bdb696602e

tdf#120703 (PVS): redundant nullptr check

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 34 Commit Notification 2018-10-21 18:15:20 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c60e737832fe5f9b4841ba163e22c532f0abe6f4

tdf#120703 (PVS): redundant nullptr check

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 35 Commit Notification 2018-10-21 18:17:57 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4b165d729926692ae19c85b1596dfdaa74a15b9

tdf#120703 (PVS): redundant nullptr check

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 36 Commit Notification 2018-10-21 19:10:02 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=34208a37bf22823ac80aa9fb7938af759c66f5ca

tdf#120703 (PVS): redundant nullptr check; unsafe pointer dereference

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 37 Commit Notification 2018-10-21 19:10:11 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e473d49f5666382a8d5b696a00330a55c889f56e

tdf#120703 (PVS): redundant nullptr check; loop index size

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 38 Caolán McNamara 2018-10-21 20:21:11 UTC
pretty much all V785 "Constant expression in switch statement" are all false positives, missing the >>= overloading
Comment 39 Commit Notification 2018-10-21 21:11:30 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e682faf5fccd932f57aafc8f50b4654811cdd91

tdf#120703 (PVS): redundant nullptr check

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 40 Commit Notification 2018-10-21 21:12:50 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ebab5c3cdffd5ef51919ff00cd20654a6abdf966

tdf#120703 (PVS): missing nullptr check; redundant nullptr check

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 41 Commit Notification 2018-10-21 21:18:32 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=89aefcb877567ad3fde2d6ddc4c4f9f620ab2661

tdf#120703 (PVS): redundant nullptr check

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 42 Commit Notification 2018-10-21 21:47:14 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dfee8f56dda26857cad4feba5703eb23420ea6e6

tdf#120703 (PVS): redundant nullptr checks

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 43 Commit Notification 2018-10-21 21:54:03 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f6d20d4ff8a308979f84d823211408363502fac

tdf#120703 (PVS): redundant nullptr check

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 44 Commit Notification 2018-10-21 22:00:53 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7223808a4771ebf2d23fd263547009ceeecba6e0

tdf#120703 (PVS): too complex condition; wrong condition

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 45 Commit Notification 2018-10-22 06:20:35 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f2c8180b7750e55807fe9d0e765e831ed2953c01

tdf#120703 (PVS): redundant nullptr check

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 46 Commit Notification 2018-10-22 08:00:27 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7cd65a3141c09111962dfd52a91d738c3f560f04

tdf#120703 (PVS): Recurring check.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 47 Commit Notification 2018-10-22 08:00:34 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a3a95649bc02181cad231e545719e2b2b2507f31

tdf#120703 (PVS): Recurring check.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 48 Commit Notification 2018-10-22 08:00:40 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fbfb65f140f0dea1c782d1d4c97f272d40135426

tdf#120703 (PVS): Recurring check.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 49 Commit Notification 2018-10-22 08:02:02 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9e4f8e1d7464858f15030ee55aa2b4a8b86e427

tdf#120703 (PVS): Recurring check.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 50 Commit Notification 2018-10-22 08:03:24 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d41d9fefcdf18d431c22b7c7ce9aa56ee96016a

tdf#120703 (PVS): Recurring check.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 51 Commit Notification 2018-10-22 08:04:45 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8a764bc0df140f72a5d552db6cb6623d02d5c11f

tdf#120703 (PVS): Recurring check.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 52 Commit Notification 2018-10-22 08:04:51 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8acf598338f2255f13eb1182f9ecffc730584530

tdf#120703 (PVS): Recurring check.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 53 Commit Notification 2018-10-22 08:39:58 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cd9aa5bc508244082b4baf4a3094875bf2c6f992

tdf#120703 (PVS): redundant comparisons, dynamic_cast<T&> in dtor

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 54 Commit Notification 2018-10-22 10:40:40 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ceaf6f7a0241e7229e75bbe92cf04efc8aa7b8ad

tdf#120703 (PVS): Recurring check.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 55 Commit Notification 2018-10-22 10:44:26 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c147fc5fe0e77838b8e9bebd4ff215a80946980

tdf#120703 (PVS): Recurring check.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 56 Commit Notification 2018-10-22 12:39:12 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c99732d59bc649ff9e79d880c7f328076864f64e

tdf#120703 (PVS): redundant nullptr check

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 57 Mike Kaganski 2018-10-24 10:39:00 UTC
In V501, some false positives could be avoided if in expressions like

> bOK = SkipWS() && MatchNumber( nSub ) && SkipWS();

it'd be detected that SkipWS is a non-const method (-> may change state).
Comment 58 Mike Kaganski 2018-10-25 18:56:41 UTC
Repeated FPs:

> if (cond)
> {
>     grab_mutex();
>     if (cond)
>     {
>         ...
>     }
> }

> var = true;
> aProcTakingVarByRef(var);
> if (var)
>    ...

A strange FP in salframe.cxx:4962:

> LONG nTextLen = ImmGetCompositionStringW(...)
> if ( nTextLen >= 0 )
>     ...

See the "This function returns one of the following negative error codes if it does not succeed:" part at https://docs.microsoft.com/en-us/windows/desktop/api/imm/nf-imm-immgetcompositionstringw.
Comment 59 Commit Notification 2018-10-26 18:51:15 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5a9b1fe0a3452cf3e78535a98f3caa28648ab10&h=libreoffice-6-1

tdf#120703 (PVS)

It will be available in 6.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 60 Commit Notification 2018-10-27 07:24:56 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc1858783e72bba808dbd87b5b03d5170449ad52

tdf#120703 (PVS): V519 The variable is assigned values twice successively

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 61 Commit Notification 2018-10-27 09:43:49 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6ef1eac70343d7867e24fa4830081640b0e20351

tdf#120703 (PVS): V519 variable is assigned values twice successively

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 62 Commit Notification 2018-10-27 09:43:55 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb702103f210cd344d8e700ece27f3708aab8eaf

tdf#120703 PVS: V519 variable is assigned values twice successively

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 63 Commit Notification 2018-10-27 12:10:21 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3bb49555e9e3ea54a575ac8342ca3740aad51d74

tdf#120703 PVS: V519 variable is assigned values twice successively

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 64 Commit Notification 2018-10-27 12:55:06 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=52a4986d8f87550df1ae3295926d5a5f1ff3dde2

tdf#120703 PVS: V524

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 65 Commit Notification 2018-10-27 13:32:04 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a12a9e941283fe32d7714d4aee694c397996c3a

tdf#120703 PVS: V530 The return value of function is required to be utilized

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 66 Commit Notification 2018-10-27 13:48:51 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d21f814dff7b56e03c5c2526ede53d18584bbaa

tdf#120703 PVS: V519 variable is assigned values twice successively

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 67 Commit Notification 2018-10-27 15:06:17 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8cdc839d7639348d248c0b4bd98d4f29931f984

tdf#120703 PVS: variable is assigned values twice successively

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 68 Commit Notification 2018-10-27 15:07:43 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9ec7105ba173af77fb9eadcdd3f694494664865

tdf#120703 PVS: variable is assigned values twice successively

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 69 Commit Notification 2018-10-27 16:00:23 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db7e454bf7809b57c34c90e8876a3970a004ef16

tdf#120703 PVS: V668

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 70 Commit Notification 2018-10-27 16:39:49 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=51b6a52e1c8c3ef30842cf108d2a12fb222e7607

tdf#120703 PVS: V724

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 71 Mike Kaganski 2018-10-27 16:44:45 UTC
Completed (fixed or checked FP): V501, V503, V509, V516, V523, V527, V530, V533, V535, V539, V542, V554, V571, V612, V668, V670, V716, V718, V724, V794, V1030.

In V519, the only one left is wrtw8sty.cxx:1690 (I can't figure if it's a FP - might it be used in come nested call?; unit tests seem to pass with it "fixed" by removing first assignment at ln 1665).

In V524, only the following need care: brwctrlr.cxx:492, databasedocument.cxx:1956, fupoor.cxx:135, tokenwriter.cxx:325, treecontrolpeer.cxx:530, unoflatpara.cxx:501, unomod.cxx:408, vclxwindows.cxx:2627 (those that remove listeners seem most suspicious to me).

In V701, the following need care: _tokens.c:219, include.c:324.
Comment 72 Mike Kaganski 2018-10-27 19:58:16 UTC
IIUC V547 is FP in cases like convertisciidevangari.cxx:197, where old-school enums (not even enum class!) are tested against the enum constants. It's not guaranteed that there won't be values casted to enum type from ints in the enum base type range, and it's not a UB (iirc; I might be wrong here).
Comment 73 Commit Notification 2018-10-28 00:39:01 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fd855967e0474323e22c9d27152d271826a43821

tdf#120703 PVS: V547 Expression '!pTmp' is always true

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 74 Commit Notification 2018-10-28 06:56:55 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f0ddb2d2068a4388a7df12cd0e11f628b91e4c0

tdf#120703 PVS: V547 Expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 75 Commit Notification 2018-10-28 06:57:03 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c026807d8d4654090bccefc6d70ceb1819c2092a

tdf#120703 PVS: V547 Expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 76 Commit Notification 2018-10-28 06:58:27 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea62885a4f759dfb5a7236e9ac3a69da4703e902

tdf#120703 PVS: V547 Expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 77 Commit Notification 2018-10-28 07:24:31 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=36880d76299e913761f03bbde1b6ca6bea393b5a

tdf#120703 PVS: V547 Expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 78 Commit Notification 2018-10-28 09:13:21 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f5dd208719b6667394b2ab95d4a17296fb898224

tdf#120703 PVS: V547 Expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 79 Commit Notification 2018-10-28 14:06:47 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3040d328c944d91b0cd612d86d358823b5c5b883%5E%21

tdf#120703 PVS: V547 Expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 80 Commit Notification 2018-10-28 19:28:25 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/de26ed225eb03ab36efed592774e460b21e695fa%5E%21

tdf#120703 PVS: V547 Fix activation of launched process' window

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 81 Commit Notification 2018-10-29 04:59:56 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/951a65923c088a1e19a4073f3c26a3b564a0a922%5E%21

tdf#120703 PVS: V547 Expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 82 Commit Notification 2018-11-03 13:14:56 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2a3f5d11522cd69f0ce221cde3a63b7e85e94b53%5E%21

tdf#120703 PVS: V547 Expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 83 Commit Notification 2018-11-03 14:21:26 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/882c7f4a1feb81ed74b4243d884ecc3a954e3bed%5E%21

tdf#120703 PVS: V547 Expression is always true

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 84 Commit Notification 2018-11-03 16:57:38 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/709d75853105e4fd7e5981a37a6dd95e7b9620ee%5E%21

tdf#120703 PVS: V547 Expression is always false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 85 Commit Notification 2018-11-03 19:40:35 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0981f1d8c8a8918b5f28bf5605023b07e73b0d44%5E%21

tdf#120703 PVS: V581

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 86 Commit Notification 2018-11-03 19:48:32 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/49747ff2337fd1f4a3ee8e16d6328b8dacad99ec%5E%21

tdf#120703 PVS: V547 Expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 87 Commit Notification 2018-11-03 20:18:38 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1459ffdffee61f3c4a552a28c5aa43facb3f4fcf%5E%21

tdf#120703 PVS: V547 Expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 88 Commit Notification 2018-11-03 20:28:49 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d85108355c1802c7aed1ef1d9a19f6c633c4a0f8%5E%21

tdf#120703 PVS: V547 Expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 89 Commit Notification 2018-11-03 21:03:17 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/163dd5df9f080a141e201a32c40ff80e1a5d2e34%5E%21

tdf#120703 PVS: V1023

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 90 Commit Notification 2018-11-03 22:01:10 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e3720db59b23486cab773e6fadf6bf95b089b5d1%5E%21

tdf#120703 PVS: V547 Expression is always false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 91 Commit Notification 2018-11-04 00:41:50 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ca3b0f8242a11c23f1077117e2e9f779348da831%5E%21

tdf#120703 VPS: V547 Expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 92 Mike Kaganski 2018-11-04 13:38:20 UTC
Seems that PVS emits FPs when sees something like this:

> boost::optional< sal_Int16 > aBoundColumn(boost::none);
> ... (something optionally resetting the optional)
> if (!aBoundColumn)

like if it thinks that initializing it with boost::none makes it initialized optional.
Comment 93 Commit Notification 2018-11-04 15:59:15 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/628e96ce1fce194b30a5c2912feb8b7ec0328db0%5E%21

tdf#120703 PVS: V547 Expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 94 Commit Notification 2018-11-04 17:03:51 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/41707751a60a8044d49896b0e62d9fe0e997af85%5E%21

tdf#120703 PVS: V547 Get rid of mutexes to initialize function-local statics

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 95 Commit Notification 2018-11-05 06:21:10 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9e9e08dae1abe90d7c4d81d22065f31e5b948435%5E%21

tdf#120703 PVS: this fix was wrong

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 96 Commit Notification 2018-11-05 06:21:17 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b5d7f596f26e3e086a6584fe69a8bbcc9c51d0bd%5E%21

tdf#120703 PVS: V547 Expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 97 Commit Notification 2018-11-05 06:22:38 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9bd60e28d8257f2cac1f4e0da89c75336910b197%5E%21

tdf#120703 PVS: V547 Expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 98 Commit Notification 2018-11-05 07:51:10 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ea6537b455634f785de6482cc01a21a90bcf0ce5%5E%21

tdf#120703 PVS: V547 Expression is always true

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 99 Commit Notification 2018-11-05 08:44:46 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/cb9d192f18082d517b805f5d84fc62bde6319ded%5E%21

tdf#120703 PVS: V547 Expression '!pRTLData' is always false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 100 Commit Notification 2018-11-05 12:26:31 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/17d6c6975baa7340f850c72755bc9e8d09357375%5E%21

tdf#120703 PVS: V547 Expression is always true

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 101 Commit Notification 2018-11-05 12:28:13 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6d1aafca5d13fa08371a3ff161d12c0f1213555c%5E%21

tdf#120703 PVS: V547 Expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 102 Commit Notification 2018-11-05 15:44:30 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/bec0ad463a39a9d66fc8ab613d0a26f0fa59b00d%5E%21

tdf#120703 PVS: V1028 fix unexpected integer overflow

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 103 Commit Notification 2018-11-10 09:40:19 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/03a21573479c867ea8bdf3dfc834410c424295e0%5E%21

tdf#120703 PVS: V547 Expression 'bRet' is always true

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 104 Commit Notification 2018-11-10 09:42:49 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0df11c2388e4bf901e985d8041c410ba032efc61%5E%21

tdf#120703 PVS: revert commit 8ae988054a12b43250d030661a2fb6b297f8aee7

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 105 Commit Notification 2018-11-10 11:19:18 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9eb81304989acb16c61c15b211dd124548ffb85f%5E%21

tdf#120703 PVS: drop the unused code

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 106 Commit Notification 2018-11-10 11:20:37 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/577b5fd81be3819354cad6bb234a988f264ae599%5E%21

tdf#120703 PVS: check proper pointer (possible nullprt dereference)

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 107 Commit Notification 2018-11-10 11:23:06 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ea65a40cdf6ac4dba37f21ad9bf81184b6598b55%5E%21

tdf#120703 PVS: make selection type detection more readable

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 108 Commit Notification 2018-11-10 11:24:28 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0b34a5dd39e177ba99cd21b639d67ac8123b8458%5E%21

tdf#120703 PVS: silence a V555

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 109 Commit Notification 2018-11-10 11:24:35 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/065edb4c8e91170017df482843d0c3eb8d4db114%5E%21

tdf#120703 PVS: V547 Expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 110 Commit Notification 2018-11-10 13:07:37 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0408b72ae93d7cce9f64c4779f19d645d694df95%5E%21

tdf#120703 PVS: make ImplGet(Cleaned)FieldUnits return reference

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 111 Commit Notification 2018-11-10 13:10:05 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/21795eb3d3eca8e3c2eadc1e80dfc2d032a3c861%5E%21

tdf#120703 PVS: drop dead code.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 112 Commit Notification 2018-11-11 07:49:51 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/25ddf69517134305d4dffd5dc1d111fe74584fac%5E%21

tdf#120703 PVS: V555

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 113 Commit Notification 2018-11-11 07:57:51 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/55f267856e11492ae11beadbeb553dd6717de809%5E%21

tdf#120703 PVS: remove non-functional check

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 114 Mike Kaganski 2018-11-11 07:58:28 UTC
V547 is essentially done.
Comment 115 Commit Notification 2018-11-11 18:38:50 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b7f022234589c84ddb8566ddf7d91701eba55d3d%5E%21

tdf#120703 PVS: V560 A part of conditional expression is always true

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 116 Commit Notification 2018-11-11 18:38:57 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6b67f867cca1cb62ca045b60635f6da0a347c4f2%5E%21

tdf#120703 PVS: V560 A part of conditional expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 117 Commit Notification 2018-11-11 21:24:48 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7eebdd24ee72a8deef869eca53103094632aeb59%5E%21

tdf#120703 PVS: V560 A part of conditional expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 118 Commit Notification 2018-11-12 05:14:17 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/270e76f6eba44749743761c5575adf9f08e84675%5E%21

tdf#120703 PVS: V560 A part of conditional expression is always true/false

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 119 Commit Notification 2018-11-12 17:20:22 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/bc63974e9d82a6ff7954618add266f967fa428eb%5E%21

tdf#120703 PVS: V560 Properly compare current to cDecimalSepAlt

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.